### Navigation

- index
- LLVM Home |
- Documentation»

# Index

Symbols | C | L | T

## Symbols

--check-prefix prefix
  command line option
--config-prefix=NAME
  command line option
--debug
  command line option
--debug-syms, -a
  llvm-nm command line option
--defined-only
  llvm-nm command line option
--disable-excess-fp-precision
  command line option
--disable-fp-elim
  command line option
--dynamic, -D
  llvm-nm command line option
--enable-correct-eh-support
  command line option
--enable-no-infs-fp-math
  command line option
--enable-no-nans-fp-math
  command line option
--enable-unsafe-fp-math
  command line option
--extern-only, -g
  llvm-nm command line option
--format=format, -f format
  llvm-nm command line option
--input-file filename
  command line option
--load=<dso_path>
  command line option
--max-tests=N
  command line option
--max-time=N
  command line option
--no-progress-bar
  command line option
--no-sort, -p
  llvm-nm command line option
--numeric-sort, -n, -v
  llvm-nm command line option
--param NAME, --param NAME=VALUE
  command line option
--path=PATH
  command line option
--print-file-name, -A, -o
  llvm-nm command line option
--print-machineinstrs
  command line option
--print-size, -S
  llvm-nm command line option
--regalloc=<allocator>
  command line option
--show-suites
  command line option
--show-tests
  command line option
--shuffle
  command line option
--size-sort
  llvm-nm command line option
--spiller=<spiller>
  command line option
--stats
  command line option
--strict-whitespace
  command line option
--time-passes
  command line option
--time-tests
  command line option
--undefined-only, -u
  llvm-nm command line option
--vg
  command line option
--vg-arg=ARG
  command line option
--vg-leak
  command line option
--x86-asm-syntax=[att|intel]
  command line option
-asmparsernum N
  tblgen command line option
-asmwriternum N
  tblgen command line option
-B (default)
  llvm-nm command line option
-class className
  tblgen command line option
-d
  command line option
-debug
  command line option
-default-arch
  command line option
-demangle
  command line option
-disable-inlining
  command line option
-disable-opt
  command line option
-dump
  command line option
  llvm-bcanalyzer command line option
-dyn-symbols
  command line option
-dynamic-table
  command line option
-expand-relocs
  command line option
-f
  command line option, [1]
-file-headers, -h
  command line option
-filetype=<output file type>
  command line option
-functions
  command line option
-gcda=filename
  command line option

-gcno=filename
  command line option
-gen-asm-matcher
  tblgen command line option
-gen-asm-writer
  tblgen command line option
-gen-dag-isel
  tblgen command line option
-gen-dfa-packetizer
  tblgen command line option
-gen-disassembler
  tblgen command line option
-gen-emitter
  tblgen command line option
-gen-enhanced-disassembly-info
  tblgen command line option
-gen-fast-isel
  tblgen command line option
-gen-instr-info
  tblgen command line option
-gen-intrinsic
  tblgen command line option
-gen-pseudo-lowering
  tblgen command line option
-gen-register-info
  tblgen command line option
-gen-subtarget
  tblgen command line option
-gen-tgt-intrinsic
  tblgen command line option
-h, --help
  command line option
-help
  command line option, [1], [2], [3], [4]
  llvm-bcanalyzer command line option
  llvm-nm command line option
  tblgen command line option
-I directory
  tblgen command line option
-inlining
  command line option
-j N, --threads=N
  command line option
-load=<plugin>
  command line option
-march=<arch>
  command line option
-mattr=a1,+a2,-a3,...
  command line option
-mcpu=<cpuname>
  command line option
-mtriple=<target triple>
  command line option
-needed-libs
  command line option
-nodetails
  llvm-bcanalyzer command line option
-o <filename>
  command line option
-o filename
  command line option, [1]
  tblgen command line option
-O=uint
  command line option
-P
  llvm-nm command line option
-p
  command line option
-print-enums
  tblgen command line option
-print-records
  tblgen command line option
-print-sets
  tblgen command line option
-profile-info-file <filename>
  command line option
-program-headers
  command line option
-q, --quiet
  command line option
-relocations, -r
  command line option
-S
  command line option, [1]
-s, --succinct
  command line option
-section-data, -sd
  command line option
-section-relocations, -sr
  command line option
-section-symbols, -st
  command line option
-sections, -s
  command line option
-seed seed
  command line option
-size size
  command line option
-stats
  command line option
-std-compile-opts
  command line option
-strip-debug
  command line option
-symbols, -t
  command line option
-time-passes
  command line option
-unwind, -u
  command line option
-use-symbol-table
  command line option
-v
  command line option
-v, --verbose
  command line option
-verify
  llvm-bcanalyzer command line option
-verify-each
  command line option
-version
  command line option, [1]
  tblgen command line option

## C

command line option
  --check-prefix prefix
  --config-prefix=NAME
  --debug
  --disable-excess-fp-precision
  --disable-fp-elim
  --enable-correct-eh-support
  --enable-no-infs-fp-math
  --enable-no-nans-fp-math
  --enable-unsafe-fp-math
  --input-file filename
  --load=<dso_path>
  --max-tests=N
  --max-time=N
  --no-progress-bar
  --param NAME, --param NAME=VALUE
  --path=PATH
  --print-machineinstrs
  --regalloc=<allocator>
  --show-suites
  --show-tests
  --shuffle
  --spiller=<spiller>
  --stats
  --strict-whitespace
  --time-passes
  --time-tests
  --vg
  --vg-arg=ARG
  --vg-leak
  --x86-asm-syntax=[att|intel]
  -O=uint
  -S, [1]
  -d
  -debug
  -default-arch
  -demangle
  -disable-inlining
  -disable-opt
  -dump
  -dyn-symbols
  -dynamic-table
  -expand-relocs
  -f, [1]
  -file-headers, -h
  -filetype=<output file type>
  -functions
  -gcda=filename
  -gcno=filename
  -h, --help
  -help, [1], [2], [3], [4]
  -inlining
  -j N, --threads=N
  -load=<plugin>
  -march=<arch>
  -mattr=a1,+a2,-a3,...
  -mcpu=<cpuname>
  -mtriple=<target triple>
  -needed-libs
  -o <filename>
  -o filename, [1]
  -p
  -profile-info-file <filename>
  -program-headers
  -q, --quiet
  -relocations, -r
  -s, --succinct
  -section-data, -sd
  -section-relocations, -sr
  -section-symbols, -st
  -sections, -s
  -seed seed
  -size size
  -stats
  -std-compile-opts
  -strip-debug
  -symbols, -t
  -time-passes
  -unwind, -u
  -use-symbol-table
  -v
  -v, --verbose
  -verify-each
  -version, [1]

## L

llvm-bcanalyzer command line option
  -dump
  -help
  -nodetails
  -verify

llvm-nm command line option
  --debug-syms, -a
  --defined-only
  --dynamic, -D
  --extern-only, -g
  --format=format, -f format
  --no-sort, -p
  --numeric-sort, -n, -v
  --print-file-name, -A, -o
  --print-size, -S
  --size-sort
  --undefined-only, -u
  -B (default)
  -P
  -help

## T

tblgen command line option
  -I directory
  -asmparsernum N
  -asmwriternum N
  -class className
  -gen-asm-matcher
  -gen-asm-writer
  -gen-dag-isel
  -gen-dfa-packetizer
  -gen-disassembler
  -gen-emitter
  -gen-enhanced-disassembly-info
  -gen-fast-isel
  -gen-instr-info
  -gen-intrinsic
  -gen-pseudo-lowering
  -gen-register-info
  -gen-subtarget
  -gen-tgt-intrinsic
  -help
  -o filename
  -print-enums
  -print-records
  -print-sets
  -version

### Navigation

- index
- LLVM Home |
- Documentation»